Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.share.sql
Class PreparedStatementWrapper

    java.lang.Object
      oracle.ifs.share.sql.StatementWrapper
          oracle.ifs.share.sql.PreparedStatementWrapper

Direct Known Subclasses:
  CallableStatementWrapper, IfsPreparedStatement

    public class PreparedStatementWrapper

extends StatementWrapper

A PreparedStatementWrapper wraps a JDBC PreparedStatement, so that execution can be delegated to a ConnectionWrapper.

(Published)

Constructor Summary
`PreparedStatementWrapper(java.sql.PreparedStatement pstmt, ConnectionWrapper cw)` Constructs a PreparedStatementWrapper.

Method Summary
`void` | `addBatch()` Adds a set of parameters to this PreparedStatement object's batch of commands.
`void` | `clearParameters()` Clear the parameters.
`void` | `dispose()` Dispose and close the PreparedStatementWrapper.
`boolean` | `execute()` Some prepared statements return multiple results; the execute method handles these complex statements as well as the simpler form of statements handled by executeQuery and executeUpdate.
`java.sql.ResultSet` | `executeQuery()` A prepared SQL query is executed and its ResultSet is returned.
`int` | `executeUpdate()` Execute a SQL INSERT, UPDATE or DELETE statement.
`void` | `setAsciiStream(int paramIndex, java.io.InputStream x, int length)` When a very large ASCII value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream.
`void` | `setBigDecimal(int paramIndex, java.math.BigDecimal x)` Set a parameter to a java.lang.BigDecimal value.
`void` | `setBinaryStream(int paramIndex, java.io.InputStream x, int length)` When a very large binary value is input to a LONGVARBINARY parameter, it may be more practical to send it via a java.io.InputStream.
`void` | `setBoolean(int paramIndex, boolean x)` Set a parameter to a Java boolean value.
`void` | `setByte(int paramIndex, byte x)` Set a parameter to a Java byte value.
`void` | `setBytes(int paramIndex, byte[] x)` Set a parameter to a Java array of bytes.
`void` | `setDate(int paramIndex, java.sql.Date x)` Set a parameter to a Date value.
`void` | `setDouble(int paramIndex, double x)` Set a parameter to a Java double value.
`void` | `setFloat(int paramIndex, float x)` Set a parameter to a Java float value.
`void` | `setInt(int paramIndex, int x)` Set a parameter to a Java int value.
`void` | `setLong(int paramIndex, long x)` Set a parameter to a Java long value.
`void` | `setNull(int paramIndex, int sqlType)` Set a parameter to SQL NULL.
`void` | `setObject(int paramIndex, java.lang.Object x)` Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.
`void` | `setObject(int paramIndex, java.lang.Object x, int targetSqlType)` This method is like setObject above, but assumes a scale of zero.
`void` | `setObject(int paramIndex, java.lang.Object x, int targetSqlType, int scale)` Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.
`void` | `setShort(int paramIndex, short x)` Set a parameter to a Java short value.
`void` | `setString(int paramIndex, java.lang.String x)` Set a parameter to a Java String value.
`void` | `setTime(int paramIndex, java.sql.Time x)` Set a parameter to a Time value.
`void` | `setTimestamp(int paramIndex, java.sql.Timestamp x)` Set a parameter to a Timestamp value.
`void` | `setUnicodeStream(int paramIndex, java.io.InputStream x, int length)` When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream.

Methods inherited from class oracle.ifs.share.sql.StatementWrapper
`addBatch, cancel, clearBatch, clearWarnings, close, closeResultSet, closeStatement, closeStatement, execute, executeBatch, executeQuery, executeUpdate, getConnectionWrapper, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setMaxFieldSize, setMaxRows, setQueryTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedStatementWrapper

    public PreparedStatementWrapper(java.sql.PreparedStatement pstmt,
                                    ConnectionWrapper cw)

  Constructs a PreparedStatementWrapper.

  Parameters:
    `pstmt` - PreparedStatement instance to wrap
    `cw` - the ConnectionWrapper context
  (Published)

Method Detail

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  A prepared SQL query is executed and its ResultSet is returned.

  Returns:
    a ResultSet that contains the data produced by the query; never null
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Execute a SQL INSERT, UPDATE or DELETE statement. Although SQL DDL statements can be executed, it is not advised since doing so can cause the iFS repository to be non-functional or irreparable.

  Returns:
    either the row count for INSERT, UPDATE or DELETE; or 0 for SQL statements that return nothing
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### execute

    public boolean execute()
                    throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Some prepared statements return multiple results; the execute method handles these complex statements as well as the simpler form of statements handled by executeQuery and executeUpdate.

  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setNull

    public void setNull(int paramIndex,
                        int sqlType)
                 throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to SQL NULL.

  Note: You must specify the parameter's SQL type.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `sqlType` - SQL type code defined by Types
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setBoolean

    public void setBoolean(int paramIndex,
                           boolean x)
                    throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Java boolean value. The driver converts this to a SQL BIT value when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setByte

    public void setByte(int paramIndex,
                        byte x)
                 throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Java byte value. The driver converts this to a SQL TINYINT value when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setShort

    public void setShort(int paramIndex,
                         short x)
                  throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Java short value. The driver converts this to a SQL SMALLINT value when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setInt

    public void setInt(int paramIndex,
                       int x)
                throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Java int value. The driver converts this to a SQL INTEGER value when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setLong

    public void setLong(int paramIndex,
                        long x)
                 throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Java long value. The driver converts this to a SQL BIGINT value when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setFloat

    public void setFloat(int paramIndex,
                         float x)
                  throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Java float value. The driver converts this to a SQL FLOAT value when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setDouble

    public void setDouble(int paramIndex,
                          double x)
                   throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Java double value. The driver converts this to a SQL DOUBLE value when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setBigDecimal

    public void setBigDecimal(int paramIndex,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a java.lang.BigDecimal value. The driver converts this to a SQL NUMERIC value when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setString

    public void setString(int paramIndex,
                          java.lang.String x)
                   throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Java String value. The driver converts this to a SQL VARCHAR or LONGVARCHAR value (depending on the arguments size relative to the driver's limits on VARCHARs) when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setBytes

    public void setBytes(int paramIndex,
                         byte[] x)
                  throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Java array of bytes. The driver converts this to a SQL VARBINARY or LONGVARBINARY (depending on the argument's size relative to the driver's limits on VARBINARYs) when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setDate

    public void setDate(int paramIndex,
                        java.sql.Date x)
                 throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Date value. The driver converts this to a SQL DATE value when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setTime

    public void setTime(int paramIndex,
                        java.sql.Time x)
                 throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Time value. The driver converts this to a SQL TIME value when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setTimestamp

    public void setTimestamp(int paramIndex,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set a parameter to a Timestamp value. The driver converts this to a SQL TIMESTAMP value when it sends it to the database.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setAsciiStream

    public void setAsciiStream(int paramIndex,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  When a very large ASCII value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file. The JDBC driver will do any necessary conversion from ASCII to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the java input stream which contains the ASCII parameter value
    `length` - the number of bytes in the stream
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setUnicodeStream

    public void setUnicodeStream(int paramIndex,
                                 java.io.InputStream x,
                                 int length)
                          throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file. The JDBC driver will do any necessary conversion from UNICODE to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the java input stream which contains the UNICODE parameter value
    `length` - the number of bytes in the stream
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setBinaryStream

    public void setBinaryStream(int paramIndex,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  When a very large binary value is input to a LONGVARBINARY parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Parameters:
    `paramIndex` - the first parameter is 1, the second is 2, ...
    `x` - the java input stream which contains the binary parameter value
    `length` - the number of bytes in the stream
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### clearParameters

    public void clearParameters()
                         throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Clear the parameters.

  In general, parameter values remain in force for repeated use of a Statement. Setting a parameter value automatically clears its previous value. However, in some cases it is useful to immediately release the resources used by the current parameter values; this can be done by calling clearParameters.

  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setObject

    public void setObject(int paramIndex,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

  The given Java object will be converted to the targetSqlType before being sent to the database.

  Note that this method may be used to pass datatabase- specific abstract data types. This is done by using a Driver- specific Java type and using a targetSqlType of java.sql.types.OTHER.

  Parameters:
    `paramIndex` - The first parameter is 1, the second is 2, ...
    `x` - The object containing the input parameter value
    `targetSqlType` - The SQL type (as defined in java.sql.Types) to be sent to the database. The scale argument may further qualify this type.
    `scale` - For java.sql.Types.DECIMAL or java.sql.Types.NUMERIC types. this is the number of digits after the decimal. For all other types this value will be ignored.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setObject

    public void setObject(int paramIndex,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  This method is like setObject above, but assumes a scale of zero.

  Parameters:
    `paramIndex` - The first parameter is 1, the second is 2, ...
    `x` - The object containing the input parameter value
    `targetSqlType` - The SQL type (as defined in java.sql.Types) to be sent to the database.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### setObject

    public void setObject(int paramIndex,
                          java.lang.Object x)
                   throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`

  Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

  The JDBC specification specifies a standard mapping from Java Object types to SQL types. The given argument java object will be converted to the corresponding SQL type before being sent to the database.

  Note that this method may be used to pass datatabase specific abstract data types, by using a Driver specific Java type.

  Parameters:
    `paramIndex` - The first parameter is 1, the second is 2, ...
    `x` - The object containing the input parameter value
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### addBatch

    public void addBatch()
                  throws java.sql.SQLException

  Description copied from class: `PreparedStatementWrapper`
  Adds a set of parameters to this PreparedStatement object's batch of commands.

  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  (Published)

### dispose

    public void dispose()

  Description copied from class: `PreparedStatementWrapper`
  Dispose and close the PreparedStatementWrapper.

  Overrides:
    `dispose` in class `StatementWrapper`
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD